# -*- encoding: utf-8 -*-
# stub: puppet_forge 2.2.4 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet_forge".freeze
  s.version = "2.2.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet Labs".freeze]
  s.date = "2017-06-09"
  s.description = "Tools that can be used to access Forge API information on Modules, Users, and Releases. As well as download, unpack, and install Releases to a directory.".freeze
  s.email = ["forge-team+api@puppetlabs.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "MAINTAINERS".freeze, "README.md".freeze, "Rakefile".freeze, "lib/puppet_forge.rb".freeze, "lib/puppet_forge/connection.rb".freeze, "lib/puppet_forge/connection/connection_failure.rb".freeze, "lib/puppet_forge/error.rb".freeze, "lib/puppet_forge/lazy_accessors.rb".freeze, "lib/puppet_forge/lazy_relations.rb".freeze, "lib/puppet_forge/locales/config.yaml".freeze, "lib/puppet_forge/middleware/symbolify_json.rb".freeze, "lib/puppet_forge/tar.rb".freeze, "lib/puppet_forge/tar/mini.rb".freeze, "lib/puppet_forge/unpacker.rb".freeze, "lib/puppet_forge/v3.rb".freeze, "lib/puppet_forge/v3/base.rb".freeze, "lib/puppet_forge/v3/base/paginated_collection.rb".freeze, "lib/puppet_forge/v3/metadata.rb".freeze, "lib/puppet_forge/v3/module.rb".freeze, "lib/puppet_forge/v3/release.rb".freeze, "lib/puppet_forge/v3/user.rb".freeze, "lib/puppet_forge/version.rb".freeze, "locales/config.yaml".freeze, "puppet_forge.gemspec".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.headers".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.json".freeze, "spec/fixtures/v3/bases/puppet.headers".freeze, "spec/fixtures/v3/bases/puppet.json".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json".freeze, "spec/fixtures/v3/modules.headers".freeze, "spec/fixtures/v3/modules.json".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.headers".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.json".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.headers".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.json".freeze, "spec/fixtures/v3/modules__query=apache.headers".freeze, "spec/fixtures/v3/modules__query=apache.json".freeze, "spec/fixtures/v3/releases.headers".freeze, "spec/fixtures/v3/releases.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.headers".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.json".freeze, "spec/fixtures/v3/users/puppetlabs.headers".freeze, "spec/fixtures/v3/users/puppetlabs.json".freeze, "spec/integration/forge/v3/module_spec.rb".freeze, "spec/integration/forge/v3/release_spec.rb".freeze, "spec/integration/forge/v3/user_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/forge/connection/connection_failure_spec.rb".freeze, "spec/unit/forge/connection_spec.rb".freeze, "spec/unit/forge/lazy_accessors_spec.rb".freeze, "spec/unit/forge/lazy_relations_spec.rb".freeze, "spec/unit/forge/middleware/symbolify_json_spec.rb".freeze, "spec/unit/forge/tar/mini_spec.rb".freeze, "spec/unit/forge/tar_spec.rb".freeze, "spec/unit/forge/unpacker_spec.rb".freeze, "spec/unit/forge/v3/base/paginated_collection_spec.rb".freeze, "spec/unit/forge/v3/base_spec.rb".freeze, "spec/unit/forge/v3/metadata_spec.rb".freeze, "spec/unit/forge/v3/module_spec.rb".freeze, "spec/unit/forge/v3/release_spec.rb".freeze, "spec/unit/forge/v3/user_spec.rb".freeze]
  s.homepage = "https://github.com/puppetlabs/forge-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Access the Puppet Forge API from Ruby for resource information and to download releases.".freeze
  s.test_files = ["spec/fixtures/uri/prefix/v3/bases/puppet.headers".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.json".freeze, "spec/fixtures/v3/bases/puppet.headers".freeze, "spec/fixtures/v3/bases/puppet.json".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json".freeze, "spec/fixtures/v3/modules.headers".freeze, "spec/fixtures/v3/modules.json".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.headers".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.json".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.headers".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.json".freeze, "spec/fixtures/v3/modules__query=apache.headers".freeze, "spec/fixtures/v3/modules__query=apache.json".freeze, "spec/fixtures/v3/releases.headers".freeze, "spec/fixtures/v3/releases.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.headers".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.json".freeze, "spec/fixtures/v3/users/puppetlabs.headers".freeze, "spec/fixtures/v3/users/puppetlabs.json".freeze, "spec/integration/forge/v3/module_spec.rb".freeze, "spec/integration/forge/v3/release_spec.rb".freeze, "spec/integration/forge/v3/user_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/forge/connection/connection_failure_spec.rb".freeze, "spec/unit/forge/connection_spec.rb".freeze, "spec/unit/forge/lazy_accessors_spec.rb".freeze, "spec/unit/forge/lazy_relations_spec.rb".freeze, "spec/unit/forge/middleware/symbolify_json_spec.rb".freeze, "spec/unit/forge/tar/mini_spec.rb".freeze, "spec/unit/forge/tar_spec.rb".freeze, "spec/unit/forge/unpacker_spec.rb".freeze, "spec/unit/forge/v3/base/paginated_collection_spec.rb".freeze, "spec/unit/forge/v3/base_spec.rb".freeze, "spec/unit/forge/v3/metadata_spec.rb".freeze, "spec/unit/forge/v3/module_spec.rb".freeze, "spec/unit/forge/v3/release_spec.rb".freeze, "spec/unit/forge/v3/user_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.9.0"])
      s.add_runtime_dependency(%q<faraday_middleware>.freeze, ["< 0.11.0", ">= 0.9.0"])
      s.add_runtime_dependency(%q<semantic_puppet>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<minitar>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<gettext-setup>.freeze, [">= 0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_development_dependency(%q<cane>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
      s.add_development_dependency(%q<redcarpet>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    else
      s.add_dependency(%q<faraday>.freeze, ["~> 0.9.0"])
      s.add_dependency(%q<faraday_middleware>.freeze, ["< 0.11.0", ">= 0.9.0"])
      s.add_dependency(%q<semantic_puppet>.freeze, [">= 0"])
      s.add_dependency(%q<minitar>.freeze, [">= 0"])
      s.add_dependency(%q<gettext-setup>.freeze, [">= 0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_dependency(%q<cane>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
      s.add_dependency(%q<redcarpet>.freeze, [">= 0"])
      s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<faraday>.freeze, ["~> 0.9.0"])
    s.add_dependency(%q<faraday_middleware>.freeze, ["< 0.11.0", ">= 0.9.0"])
    s.add_dependency(%q<semantic_puppet>.freeze, [">= 0"])
    s.add_dependency(%q<minitar>.freeze, [">= 0"])
    s.add_dependency(%q<gettext-setup>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<cane>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<redcarpet>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
  end
end
